.trainers-group {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 120px;
}

html, body {
    margin: 0;
    padding: 0;
    background-color: #333333;
    font-family: "opensans", arial, sans-serif;
    width: 100%;
    height: 100%;
}

.trainers-group > div {
    background-color: #1a1a1a;
    border: 1px solid #ddd;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    margin: 4px;
    padding: 20px;
    text-align: center;
    font-family: "opensans", arial, sans-serif;
    color: #cc0000;
    width: calc(50% - 10px);
    box-sizing: border-box;
}

.trainer-text-container {
    width: 66.67%;
    margin: 0 auto;
}

.trainers-group p.phone-main {
    margin-top: 5px;
}

.trainers-group h2 {
    font-size: 24px;
    color: #f5f5dc;
    font-family: "opensans", arial, sans-serif;
    margin: 10px 0 10px 0;
}

.trainers-group img {
    border-radius: 50%;
    width: 300px;
    height: 300px;
    object-fit: contain;
    margin-bottom: 10px;
}

.trainers-group p {
    font-size: 18px;
    color: #cc0000;
    font-family: "opensans", arial, sans-serif;
    margin: 10px 0 10px 0;
}

.trainers-group span {
    font-size: 18px;
    color: #f5f5dc;
    font-family: "opensans", arial, sans-serif;
    margin: 5px 0;
}

.trainers-group a {
    color: #f5f5dc;
    text-decoration: none;
}

.trainers-group a:hover {
    text-decoration: underline;
}

.trainers-group .red-link {
    color: #cc0000;
}

.trainers-group .red-link:hover {
    text-decoration: underline;
}

.trainers-group .white-link {
    color: #f5f5dc;
}

.trainers-group .white-link:hover {
    text-decoration: underline;
}

.trainers-group hr {
    border: none;
    border-top: 1px solid #eee;
    margin: 5px 0;
}

button[type="submit"] {
    background: #cc0000;
    color: #f5f5dc;
    border: none;
    padding: 10px 15px;
    border-radius: 5px;
    cursor: pointer;
    transition: background 0.3s, transform 0.3s;
}

button[type="submit"]:hover {
    background: #ff0000;
    transform: scale(1.1);
}

button[type="submit"]:focus {
    outline: none;
}

.trainers-change {
    display: flex;
    justify-content: center;
    gap: 15px;
    margin-top: 20px;
}

@media (max-width: 600px) {
    .trainers-group > div {
        width: 100%;
        box-sizing: border-box; /* Учитываем внутренние отступы в ширине элемента */
    }

    .trainers-group img {
        width: 250px;
        height: 250px;
        border-radius: 30%;
        object-fit: cover;
    }

    .trainers-group h2 {
        font-size: 20px;
        margin-top: 10px; /* Отступ перед заголовком */
    }

    .trainers-group p, .trainers-group span, .trainers-group a {
        font-size: 16px;
    }

    .phone-container p, vk-container p, red-link p{
        margin-bottom: 10px; /* Отступ после "Телефон:" */
        color: #cc0000; /* Цвет текста "Телефон:" */
    }

    .phone-container p.phone-main, .vk-container p, .vk-container a {
        color: #f5f5dc; /* Цвет текста телефона, ВКонтакте и ссылки */
    }
    .trainer-text-container {
        width: 100%; /* Ширина контейнера текста тренера на всю ширину блока */
        max-width: 100%; /* Максимальная ширина контейнера текста тренера на всю ширину блока */
        margin: 0 auto; /* Центрирование контейнера */
    }
    .vk-container {
        margin-top: 10px; /* Отступ между контейнерами */
    }
}
